<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.1.7.RELEASE</version>
		<relativePath /> <!-- lookup parent from repository -->
	</parent>
	<groupId>com.ine</groupId>
	<artifactId>api-1</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<packaging>war</packaging>
	<name>api-1</name>
	<description>Demo project for Spring Boot</description>

	<properties>
		<java.version>1.8</java.version>
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-data-rest</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-jersey</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web-services</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<!-- https://mvnrepository.com/artifact/com.googlecode.json-simple/json-simple -->
		<dependency>
			<groupId>com.googlecode.json-simple</groupId>
			<artifactId>json-simple</artifactId>
			<version>1.1.1</version>
		</dependency>
		<dependency>
			<groupId>com.github.mhshams</groupId>
			<artifactId>jnbis</artifactId>
			<version>2.0.1</version>
		</dependency>
		
		<!-- externos -->
		<dependency>
			<groupId>mx.org.ife.rfe.siirfe.comun</groupId>
			<artifactId>comun-modelo</artifactId>
			<version>6.6.3.5.5</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/resources/lib/comun-modelo-6.6.3.5.5.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>mx.ine.rfe.siirfe.comun</groupId>
			<artifactId>comun-modelo</artifactId>
			<version>6.6.3.5.0-SNAPSHOT</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/resources/lib/comun-modelo-6.6.3.5.0-20190613.175646-5.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>mx.ine.rfe.siirfe.comun</groupId>
			<artifactId>comun-dao</artifactId>
			<version>6.6.3.5.0-SNAPSHOT</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/resources/lib/comun-dao-6.6.3.5.0-20190613.170958-4.jar</systemPath>
		</dependency>
		
		<dependency>
			<groupId>mx.ine.rfe.siirfe.servicios.imagenes.api</groupId>
			<artifactId>imagenes-api</artifactId>
			<version>6.6.1.1.3</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/resources/lib/esapi-2.1.0.1.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>org.owasp.esapi</groupId>
			<artifactId>esapi</artifactId>
			<version>2.1.0.1</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/resources/lib/imagenes-api-6.6.1.1.3.jar</systemPath>
		</dependency>
		<!-- fin -->
		
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
		</plugins>
	</build>

</project>
